Bug 489171 - cron should be nicer and ionicer
cron should be nicer and ionicer
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: cronie (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
https://fedorahosted.org/cronie/ticke...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-08 08:31 EDT by Bernie Innocenti
Modified: 2014-09-04 08:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernie Innocenti 2009-03-08 08:31:13 EDT
It would be nice if cron would run all jobs as if they were prefixed with

  nice ionice -c2 -n6

Nicely starting the cron daemon itself would also be nice.

Have a nice nice day.
Comment 1 Bill McGonigle 2009-03-19 14:13:04 EDT
The particular values would be targets for tuning on a per-job basis, though some sane defaults are probably worthwhile (I don't need slocate to take all my I/O, thanks!).

Just to spur discussion, a proposal that steals from SELinux's MLS_LEVEL crond approach:

add to /etc/sysconfig/crond:

  IO_CLASS=2
  IO_PRIORITY=6
  NICE=10

and then modify crond to recognize:

  CRON_IO_CLASS=2
  CRON_IO_PRIORITY=6
  CRON_NICE=10

environment variables in crontabs and launch the jobs under nice and ionice if any of the above are set.  I stuck CROND_ in there to quasi-namespace them, so we don't clobber others' use of the names (which might be likely if this is filling an existing need).  The init script can launch prepend CRON_ when it starts crond.

This would be a big win for both desktops and servers, both of which tend to get unexpectedly bogged down during some common cron tasks.
Comment 2 Orion Poplawski 2013-06-13 12:48:41 EDT
This seems very reasonable.
Comment 3 Fedora Admin XMLRPC Client 2014-09-04 08:14:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.